Bug 714481 - gstreamer-plugins-good does not contain jackaudiosink
gstreamer-plugins-good does not contain jackaudiosink
Product: Fedora
Classification: Fedora
Component: gstreamer-plugins-good (Show other bugs)
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-06-19 10:57 EDT by Andy Campbell
Modified: 2016-04-26 15:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-07-05 19:41:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andy Campbell 2011-06-19 10:57:06 EDT
Description of problem:
gstreamer-plugins-bad-free does not contain jackaudiosink any more.  

This was included until FC14.  This plugin is required to route gstreamer output to jackd

I found some package lists which indicate that jackaudiosink docs are in the -good-devel-docs plugin pack, however the sink is not included

Version-Release number of selected component (if applicable):
I have looked for the component in these pacakges
$ rpm -qa | grep gstreamer-plugins | sort

How reproducible:

Steps to Reproduce:
1. Install gstreamer-plugins-bad-0.10.21-3.fc15.i686
2. rpm -ql gstreamer-plugins-bad-0.10.21-3.fc15.i686 | grep jack
(should find the sink)

Actual results:
Sink not installed

Expected results:
Sink is installed and usable within gstreamer framework

Additional info:
Was the sync moved to another package?  I have checked all plugin packages, but cannot find it
Comment 1 Nils Philippsen 2012-06-08 14:10:50 EDT
Ping, this seems to be the case in F-16 as well. Would be nice to get feedback from the maintainer here.
Comment 2 Andy Campbell 2012-06-08 19:46:31 EDT
The problem persists in Fedora 17 also.  

I took a look upstream, and according to this bug report, the jack sink was actually moved to gstreamer-plugins-good in Jan 2011, version 0.10.27 

However, in F17 gstreamer-plugins-good-0.10.31-1.fc17.x86_64 it does not appear.  Any ideas?

Comment 3 Nils Philippsen 2012-06-11 07:43:21 EDT
(In reply to comment #2)
> However, in F17 gstreamer-plugins-good-0.10.31-1.fc17.x86_64 it does not
> appear.  Any ideas?

Sure. It's explicitly disabled, likely to not have the jack stack as a dependency of a base package, which makes sense. I've discussed this with hansg and hadess on IRC and will add an "extras" subpackage which will contain the jack plugin.

Bumping product version to 16 as F-15 is EOL shortly.
Comment 4 Fedora Update System 2012-06-11 08:11:31 EDT
gstreamer-plugins-good-0.10.30-6.fc16 has been submitted as an update for Fedora 16.
Comment 5 Fedora Update System 2012-06-11 08:15:39 EDT
gstreamer-plugins-good-0.10.31-4.fc17 has been submitted as an update for Fedora 17.
Comment 6 Fedora Update System 2012-06-11 20:31:35 EDT
Package gstreamer-plugins-good-0.10.30-6.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gstreamer-plugins-good-0.10.30-6.fc16'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-06-27 23:32:03 EDT
gstreamer-plugins-good-0.10.31-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Andy Campbell 2012-06-28 18:54:22 EDT
I tested with F17 - the new package (gstreamer-plugins-good-extras-0.10.31-4.fc17.x86_64) works as described, and the jack plugin is available and works correctly.


Thanks very much!
Comment 9 Fedora Update System 2012-07-05 19:41:04 EDT
gstreamer-plugins-good-0.10.30-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Federico Bruni 2016-04-26 15:59:25 EDT
I think that this bug should be reopened.
I cannot find jackaudiosink in Fedora23. It's not in my  PATH and gst-inspect cannot find it.

$ gst-inspect | grep jack
$ gst-inspect jackaudiosink
No such element or plugin 'jackaudiosink'

I discussed about this here:

Note You need to log in before you can comment on or make changes to this bug.